## w2do 2.2.2

=== Makefile ===
# makefile for w2do, a simple text-based todo manager
# Copyright (C) 2008, 2009 Jaromir Hradilek

# This program is  free software:  you can redistribute it and/or modify it
# under  the terms  of the  GNU General Public License  as published by the
# Free Software Foundation, version 3 of the License.
# 
# This program  is  distributed  in the hope  that it will  be useful,  but
# WITHOUT  ANY WARRANTY;  without  even the implied  warranty of MERCHANTA-
# BILITY  or  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
# License for more details.
# 
# You should have received a copy of the  GNU General Public License  along
# with this program. If not, see <http://www.gnu.org/licenses/>.

# General settings; feel free to modify according to your situation:
SHELL   = /bin/sh
INSTALL = /usr/bin/install -c
POD2MAN = /usr/bin/pod2man
SRCS   := $(wildcard src/*.pl)
MAN1   := $(patsubst %.pl, %.1, $(SRCS))

# Installation directories; feel free to modify according to your taste and
# situation:
prefix  = /usr/local
bindir  = $(prefix)/bin
mandir  = $(prefix)/share/man
man1dir = $(mandir)/man1

# Make rules;  please do not edit these unless you really know what you are
# doing:
.PHONY: all clean install uninstall

all: $(MAN1)

clean:
	-rm -f $(MAN1)

install: $(MAN1)
	@echo "Copying scripts..."
	$(INSTALL) -d $(bindir)
	$(INSTALL) -m 755 src/w2do.pl $(bindir)/w2do
	$(INSTALL) -m 755 src/w2html.pl $(bindir)/w2html
	$(INSTALL) -m 755 src/w2text.pl $(bindir)/w2text
	@echo "Copying man pages..."
	$(INSTALL) -d $(man1dir)
	$(INSTALL) -m 644 src/w2do.1 $(man1dir)
	$(INSTALL) -m 644 src/w2html.1 $(man1dir)
	$(INSTALL) -m 644 src/w2text.1 $(man1dir)

uninstall:
	@echo "Removing scripts..."
	rm -f $(bindir)/w2do
	rm -f $(bindir)/w2html
	rm -f $(bindir)/w2text
	@echo "Removing man pages..."
	rm -f $(man1dir)/w2do.1
	rm -f $(man1dir)/w2html.1
	rm -f $(man1dir)/w2text.1
	@echo "Removing empty directories..."
	-rmdir $(bindir) $(man1dir) $(mandir)

%.1: %.pl
	$(POD2MAN) $^ $@

## w2do 2.3.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # makefile for w2do, a simple text-based todo manager
-# Copyright (C) 2008, 2009 Jaromir Hradilek
+# Copyright (C) 2008, 2009, 2010 Jaromir Hradilek
 
 # This program is  free software:  you can redistribute it and/or modify it
 # under  the terms  of the  GNU General Public License  as published by the
@@ -26,6 +26,9 @@
 bindir  = $(prefix)/bin
 mandir  = $(prefix)/share/man
 man1dir = $(mandir)/man1
+
+# Additional information:
+VERSION = 2.3.0
 
 # Make rules;  please do not edit these unless you really know what you are
 # doing:
@@ -61,5 +64,5 @@
 	-rmdir $(bindir) $(man1dir) $(mandir)
 
 %.1: %.pl
-	$(POD2MAN) $^ $@
+	$(POD2MAN) --section=1 --release="Version $(VERSION)" $^ $@

=== debian/changelog ===
w2do (2.3.0-1) unstable; urgency=low

  * New upstream release 
  * Refresh debian/copyright: Update format to proposed format-specification
    in revision 135 of DEP5. Update Copyright years. 
  * Convert to '3.0 (quilt)' package source format.

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Fri, 22 Jan 2010 08:55:06 +0100

w2do (2.2.3-1) unstable; urgency=low

  * New upstream release
    - Adds bulk operations on tasks with given priority.
    - Extends the flexibility of HTML exporter.
  * Bump Standards-Version to 3.8.3 (no changes). 

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 23 Aug 2009 17:14:58 +0200

w2do (2.2.2-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Add DM-Upload-Allowed field
    - Bump Standards-Version to 3.8.2 (no changes)
    - Fix Build-Depends on debhelper (>= 7.0.50) for the override_ targets
      in debian/rules.
    - Remove perl-modules from Depends field and add ${perl:Depends} to let
      the dependency list be generated by dh_perl.
 
 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Fri, 03 Jul 2009 11:48:21 +0200

w2do (2.2.1-1) unstable; urgency=low

  * Initial release (Closes: #528740)

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Tue, 19 May 2009 16:05:09 +0200

=== debian/control ===
Source: w2do
Section: utils
Priority: optional
Maintainer: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50)
Build-Depends-Indep: perl
Standards-Version: 3.8.3
Homepage: http://w2do.blackened.cz/

Package: w2do
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}
Description: simple text-based todo manager
 w2do is a simple to use yet efficient command-line todo manager
 written in Perl.
 .
 Features:
  * Well-arranged, fully filterable, plain text or coloured tabular
    output.
  * Support for group, due date and priority categories.
  * Capable of managing multiple todo lists.
  * Detailed statistics with visual progress representation.
  * Completely command driven and therefore suitable for usage in
    scripts.
  * Export to HTML 4.01 Strict via w2html utility.
  * Export to plain text via w2text utility.

=== debian/watch ===
version=3
http://code.google.com/p/w2do/downloads/list \
http://w2do\.googlecode\.com/files/w2do-(.*)\.tar\.gz

## w2do 2.3.1

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 man1dir = $(mandir)/man1
 
 # Additional information:
-VERSION = 2.3.0
+VERSION = 2.3.1
 
 # Make rules;  please do not edit these unless you really know what you are
 # doing:

=== debian/changelog ===
w2do (2.3.1-8) unstable; urgency=medium

  * Replace home-made GitLab CI with the standard Salsa pipeline
  * Bump Debhelper compat level to 12
  * Declare compliance with Debian policy 4.3.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 28 Dec 2018 23:30:55 +0100

w2do (2.3.1-7) unstable; urgency=medium

  * Update Vcs-* fields for switch to salsa.debian.org
  * Add an initial Gitlab CI config file
  * debian/.gitlab-ci.yml: Update image used for Gitlab CI
  * Update .gitlab-ci.yml based on Salsa CI Team's template
  * GitLab CI/Lintian: install dpkg-dev, that ships dpkg-architecture, needed
    to run some Lintian checks
  * Fix wrong path for interpreter for installed scripts
    w2html, w2do and w2text used "#!/usr/bin/env perl" as interpreter.
  * debian/rules: Shortcut used path names with variable substitutions.
    Inroduce $(PACKAGE) and $(TMP) to be used for the
    $(CURDIR)/debian/$(PACKAGE) path and shorten lengths in override for
    dh_auto_install.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS
  * Bump Debhelper compat level to 10
  * Set Rules-Requires-Root to no
  * Declare compliance with Debian policy 4.2.1
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 28 Oct 2018 14:34:16 +0100

w2do (2.3.1-6) unstable; urgency=medium

  * Update copyright years for debian/* packaging
  * Add Vcs-Browser and Vcs-Git fields in debian/control
  * Declare compliance with Debian Policy 3.9.5

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 03 Aug 2014 09:48:01 +0200

w2do (2.3.1-5) unstable; urgency=low

  * Upload to unstable
  * Update copyright years for debian/* packaging files

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 06 May 2013 08:44:54 +0200

w2do (2.3.1-4) experimental; urgency=low

  * Fix path used to check source in debian/watch file
  * Update debian/copyright file information.
    Update format to copyright-format 1.0 as released together with Debian
    policy 3.9.4.
    Update copyright years for debian/* packaging.
  * Bump Debhelper compat level to 8.
    Adjust versioned Build-Depends on debhelper to (>= 8).
  * Bump Standards-Version to 3.9.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 19 Nov 2012 07:07:29 +0100

w2do (2.3.1-3) unstable; urgency=low

  * Update my email address
  * debian/control: Drop the DM-Upload-Allowed control field.
  * Back to code.google.com URLs in debian/watch. We do not need anymore
    the googlecode redirector on googlecode.debian.net.
  * debian/copyright: Update copyright years for debian/* packaging.

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 09 Feb 2011 08:14:00 +0100

w2do (2.3.1-2) unstable; urgency=low

  * Use googlecode redirector on googlecode.debian.net in debian/watch.
  * Bump Standards-Version to 3.9.1 (no changes needed).

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sat, 31 Jul 2010 09:09:48 +0200

w2do (2.3.1-1) unstable; urgency=low

  * New upstream release 
  * Bump Standards-Version to 3.8.4 (no changes needed).

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Thu, 18 Feb 2010 22:56:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: w2do
 Section: utils
 Priority: optional
-Maintainer: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50)
+Maintainer: Salvatore Bonaccorso <carnil@debian.org>
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: perl
-Standards-Version: 3.8.3
+Standards-Version: 4.3.0
 Homepage: http://w2do.blackened.cz/
+Vcs-Browser: https://salsa.debian.org/carnil/w2do
+Vcs-Git: https://salsa.debian.org/carnil/w2do.git
+Rules-Requires-Root: no
 
 Package: w2do
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- prefix=$(TMP)/usr
	sed -i '1s|^#!/usr/bin/env perl|#!/usr/bin/perl|' $(TMP)/usr/bin/*
